/************************************************************************************
*                                                                                   *
*   File Name   : max7221.h                                                         *
*   Contents    : Low-Level-Driver-Defines for Sanduhr                              *
*   Version     : 1.3                                                               *
*************************************************************************************/ 
//Register Definitions
#define max7221cmd_no_op      0x00
#define max7221cmd_sel_col0   0x01
#define max7221cmd_sel_col1   0x02
#define max7221cmd_sel_col2   0x03
#define max7221cmd_sel_col3   0x04
#define max7221cmd_sel_col4   0x05
#define max7221cmd_dec_mode   0x09
#define max7221cmd_intensity  0x0A
#define max7221cmd_scn_limt   0x0B
#define max7221cmd_shtdwn     0x0C
#define max7221cmd_dsp_tst    0x0F

//Data Definitions for Commands
#define max7221data_shtdwn_shtdwn 0x00
#define max7221data_shtdwn_opertn 0x01
#define max7221data_decmode_noDec 0x00
#define max7221data_dsp_tst_no    0x00
#define max7221data_dsp_tst_yes   0x01

//Ports for MAX7221
#define max7221_spi_cs        p1_0
#define max7221_spi_cs_dir    pd1_0

void f_vd_max7221_SPI_tx(unsigned char data);
void f_vd_4daisyChained_max7221_SPI_tx(unsigned char data[8]);
void f_vd_init_max7221_SPI(void);
void f_vd_init_four_max7221(void);

